Details

      Description

          [junit] 17:22:24,723 INFO  [main][ModuleFrameworkImpl:1533] Starting initial bundles
          [junit] 17:22:24,756 ERROR [main][ModuleFrameworkImpl:1353] com.liferay.portal.kernel.exception.PortalException: java.lang.IllegalStateException: No manifest found at location file:/opt/dev/projects/github/liferay-portal/bundles/osgi/static/com.fasterxml.jackson.core.jackson-databind.jar?protocol=jar&static=true
          [junit] com.liferay.portal.kernel.exception.PortalException: java.lang.IllegalStateException: No manifest found at location file:/opt/dev/projects/github/liferay-portal/bundles/osgi/static/com.fasterxml.jackson.core.jackson-databind.jar?protocol=jar&static=true
          [junit] 	at com.liferay.portal.bootstrap.ModuleFrameworkImpl._getStaticBundle(ModuleFrameworkImpl.java:1136)
          [junit] 	at com.liferay.portal.bootstrap.ModuleFrameworkImpl._addBundle(ModuleFrameworkImpl.java:655)
          [junit] 	at com.liferay.portal.bootstrap.ModuleFrameworkImpl._installInitialBundle(ModuleFrameworkImpl.java:1327)
          [junit] 	at com.liferay.portal.bootstrap.ModuleFrameworkImpl._setUpInitialBundles(ModuleFrameworkImpl.java:1653)
          [junit] 	at com.liferay.portal.bootstrap.ModuleFrameworkImpl.startFramework(ModuleFrameworkImpl.java:402)
          [junit] 	at com.liferay.portal.module.framework.ModuleFrameworkUtilAdapter.startFramework(ModuleFrameworkUtilAdapter.java:100)
          [junit] 	at com.liferay.portal.spring.context.PortalContextLoaderListener.contextInitialized(PortalContextLoaderListener.java:308)
      
          [junit] 17:22:53,568 DEBUG [Start Level: Equinox Container: db6af0a2-73f4-4efc-a5c5-e0ac210e8395][BundleStartStopLogger:55] STARTED com.liferay.portal.remote.http.tunnel.extender_5.0.4 [89]
          [junit] 17:22:53,570 DEBUG [Start Level: Equinox Container: db6af0a2-73f4-4efc-a5c5-e0ac210e8395][BundleStartStopLogger:55] STARTED com.liferay.portal.workflow.kaleo.forms.api_4.2.0 [90]
          [junit] 17:22:53,570 DEBUG [Start Level: Equinox Container: db6af0a2-73f4-4efc-a5c5-e0ac210e8395][BundleStartStopLogger:55] STARTED com.liferay.portal.model.relationship.dynamic.data.mapping.impl_3.0.2 [91]
          [junit] 17:22:53,570 ERROR [Framework Event Dispatcher: Equinox Container: db6af0a2-73f4-4efc-a5c5-e0ac210e8395][Framework:93] FrameworkEvent ERROR 
          [junit] org.osgi.framework.BundleException: Could not resolve module: com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider [88]
          [junit]   Unresolved requirement: Import-Package: com.fasterxml.jackson.databind; version="[2.9.0,3.0.0)"
          [junit]   Unresolved requirement: Import-Package: com.fasterxml.jackson.module.jaxb; version="[2.9.0,3.0.0)"; resolution:="optional"
          [junit]     -> Export-Package: com.fasterxml.jackson.module.jaxb; bundle-symbolic-name="com.fasterxml.jackson.module.jackson-module-jaxb-annotations"; bundle-version="2.9.8"; version="2.9.8"; uses:="com.fasterxml.jackson.annotation,com.fasterxml.jackson.core,com.fasterxml.jackson.databind,com.fasterxml.jackson.databind.cfg,com.fasterxml.jackson.databind.introspect,com.fasterxml.jackson.databind.jsontype,com.fasterxml.jackson.databind.type,com.fasterxml.jackson.databind.util,javax.xml.bind.annotation,javax.xml.bind.annotation.adapters"
          [junit]        com.fasterxml.jackson.module.jackson-module-jaxb-annotations [115]
          [junit]          Unresolved requirement: Import-Package: com.fasterxml.jackson.databind; version="[2.9.0,3.0.0)"
          [junit] 
          [junit] 	at org.eclipse.osgi.container.Module.start(Module.java:444)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1682)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1662)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1624)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1555)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
          [junit] 	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
          [junit] 	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
          [junit] 17:22:53,571 ERROR [Framework Event Dispatcher: Equinox Container: db6af0a2-73f4-4efc-a5c5-e0ac210e8395][Framework:108] Exiting the JVM 
          [junit] org.osgi.framework.BundleException: Could not resolve module: com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider [88]
          [junit]   Unresolved requirement: Import-Package: com.fasterxml.jackson.databind; version="[2.9.0,3.0.0)"
          [junit]   Unresolved requirement: Import-Package: com.fasterxml.jackson.module.jaxb; version="[2.9.0,3.0.0)"; resolution:="optional"
          [junit]     -> Export-Package: com.fasterxml.jackson.module.jaxb; bundle-symbolic-name="com.fasterxml.jackson.module.jackson-module-jaxb-annotations"; bundle-version="2.9.8"; version="2.9.8"; uses:="com.fasterxml.jackson.annotation,com.fasterxml.jackson.core,com.fasterxml.jackson.databind,com.fasterxml.jackson.databind.cfg,com.fasterxml.jackson.databind.introspect,com.fasterxml.jackson.databind.jsontype,com.fasterxml.jackson.databind.type,com.fasterxml.jackson.databind.util,javax.xml.bind.annotation,javax.xml.bind.annotation.adapters"
          [junit]        com.fasterxml.jackson.module.jackson-module-jaxb-annotations [115]
          [junit]          Unresolved requirement: Import-Package: com.fasterxml.jackson.databind; version="[2.9.0,3.0.0)"
          [junit] 
          [junit] 	at org.eclipse.osgi.container.Module.start(Module.java:444)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1682)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1662)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1624)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1555)
          [junit] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
          [junit] 	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
          [junit] 	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

        Attachments

          Activity

            People

            Assignee:
            victor.ware Victor Ware
            Reporter:
            jason.pince Jason Pince
            Participants of an Issue:
            Recent user:
            Jason Pince
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Days since last comment:
              1 year, 20 weeks ago

                Packages

                Version Package
                7.3.3 CE GA4
                7.3.10 DXP GA1
                Master